Bug 641526 - Empathy doesn't remember self-signed certificate
Empathy doesn't remember self-signed certificate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
17
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
: 767128 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 22:15 EDT by Seva
Modified: 2015-03-16 12:12 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
connection log, as requested (18.20 KB, text/plain)
2010-10-29 11:58 EDT, Gianluca Sforna
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 634164 None None None Never
GNOME Desktop 634197 None None None Never

  None (edit)
Description Seva 2010-10-08 22:15:02 EDT
Description of problem:

When connecting to an XMPP/Jabber server with self signed cert, the following warning pops up and allows one to continue or cancel:

  This connection is untrusted. Would you like to continue anyway?

Dialog includes option to remember the choice for future connections, however on following connection the choice is not remembered and the dialog pops-up again.

Version-Release number of selected component (if applicable): empathy-2.32.0.1-1.fc14.x86_64

How reproducible: Always

Steps to Reproduce: 
  1. Connect to a self-signed XMPP/Jabber server
  2. Accept certificate warning pop-up and check mark "Remember this choice..."
  3. Disconnect and reconnect
  
Actual results: Certificate warning pops-up again

Expected results: Certificate warning should not pop-up
Comment 1 Cosimo Cecchi 2010-10-29 11:22:12 EDT
Hi,

could you, before starting empathy, do the following:

- start EMPATHY_DEBUG="all" EMPATHY_PERSIST=1 /usr/libexec/empathy-auth-client on a terminal
- start empathy normally
- paste the output you get on the terminal upon connection from empathy-auth-client here

Thanks.
Comment 2 Gianluca Sforna 2010-10-29 11:58:25 EDT
Created attachment 456502 [details]
connection log, as requested

I'm attaching the connection log. I had to kill the running empathy-auth-client first
Comment 3 Gianluca Sforna 2010-10-29 15:53:38 EDT
For completeness, I also need to mention my /home was coming from the previous F12 installation; I did not recreate the account in F14
Comment 4 Seva 2010-10-29 18:36:28 EDT
I no longer have an easy way to test this as my XMPP server now has a valid certificate, hopefully Gianluca can provide enough information.
Comment 5 Brian Pepple 2010-11-06 10:24:19 EDT
Verified bug is reproducible, and opened bug upstream.
Comment 6 Brian Pepple 2010-11-06 18:50:45 EDT
Noticed that Empathy is hardcoding the ca cert location to /etc/ssl/certs/ca-certificates.crt, so certs aren't being imported on Fedora. I've created a patch and once it's been reviewed it should prevent the SSL error with regard to servers included with Fedora's bundled certs (like GoogleTalk).
Comment 7 Robert Marcano 2010-11-10 08:17:32 EST
I may add that there is no way to remember a certificate (no remeber this decision checkmark) when the issued hostname is not the same that the XMPP domain name, for example Google Apps for domains points to talk.google.com, Setting the Server option in "Override server settings" to talk.google.com does not works either
Comment 8 Karel Volný 2012-04-02 17:25:10 EDT
ping, this is still an (extremely annoying) issue, and I see no progress on the upstream bug either ... could I buy someone a drink to fix this or so?
Comment 9 Brian Pepple 2012-05-10 12:38:11 EDT
*** Bug 767128 has been marked as a duplicate of this bug. ***
Comment 10 Petr Schindler 2012-06-05 02:17:43 EDT
I can see this bug with empathy-3.4.2.1-1.fc17.x86_64 too. Empathy is complaining about untrusted connections (facebook and gtalk which acounts are set by online accounts). It is asking even if I choose to remember.

I haven't seen this problem with older versions (I can't remember in which version this started).
Comment 11 Germán Racca 2012-07-17 09:09:07 EDT
(In reply to comment #10)
> I can see this bug with empathy-3.4.2.1-1.fc17.x86_64 too. Empathy is
> complaining about untrusted connections (facebook and gtalk which acounts
> are set by online accounts). It is asking even if I choose to remember.
> 
> I haven't seen this problem with older versions (I can't remember in which
> version this started).

I also have the same problem, same version of empathy, never happened before.
Comment 12 Thomas Meyer 2012-07-26 10:02:58 EDT
Still persists with:

$ yum list installed '*pathy*'
Installierte Pakete
empathy.x86_64                                                 3.4.2.3-1.fc17                                @updates   
python-telepathy.noarch                                        0.15.19-4.fc17                                @anaconda-0
telepathy-farstream.x86_64                                     0.4.0-2.fc17                                  @anaconda-0
telepathy-filesystem.noarch                                    0.0.2-3.fc17                                  @anaconda-0
telepathy-gabble.x86_64                                        0.16.1-1.fc17                                 @updates   
telepathy-glib.x86_64                                          0.18.1-2.fc17                                 @updates   
telepathy-haze.x86_64                                          0.6.0-1.fc17                                  @anaconda-0
telepathy-idle.x86_64                                          0.1.11-2.fc17                                 @anaconda-0
telepathy-logger.x86_64                                        0.4.0-2.fc17                                  @anaconda-0
telepathy-mission-control.x86_64                               1:5.12.1-1.fc17                               @updates   
telepathy-salut.x86_64                                         0.8.0-1.fc17                                  @anaconda-0

the xmpp server jabber.ccc.de uses a self signed certificate.

This bug is now nearly two years old.
Comment 13 Richard Kennedy 2012-09-10 18:36:55 EDT
I seeing this too, empathy on kde on the latest fedora <sigh>
Any suggestions how to debug this?
Comment 14 Roland Wolters 2013-01-03 05:03:33 EST
For the KDE users seeing this problem: at Ubuntu it was mentioned that this problem affects KDE users because the gnome keyring is not loaded with the proper options.

Try executing "gnome-keyring-daemon --start --components=gpg,pkcs11,secrets,ssh" before you start empathy, and see if the problem persists.

Reference: https://bugs.launchpad.net/ubuntu/+source/empathy/+bug/828756/comments/39

If this works for you it might make sense to add this to KDE autostart in case you are affected by this bug...
Comment 15 Germán Racca 2013-01-25 07:29:11 EST
(In reply to comment #14)
> For the KDE users seeing this problem: at Ubuntu it was mentioned that this
> problem affects KDE users because the gnome keyring is not loaded with the
> proper options.
> 
> Try executing "gnome-keyring-daemon --start
> --components=gpg,pkcs11,secrets,ssh" before you start empathy, and see if
> the problem persists.
> 
> Reference:
> https://bugs.launchpad.net/ubuntu/+source/empathy/+bug/828756/comments/39
> 
> If this works for you it might make sense to add this to KDE autostart in
> case you are affected by this bug...

I have re-enabled those components of keyring (gpg,pkcs11,secrets,ssh) in gnome-session-properties and now I don't see the dialog any more. Thanks!
Comment 16 Roland Wolters 2013-03-05 03:13:55 EST
Germán, can you please describe the details of the entry you made in gnome-session-properties?
Comment 17 Germán Racca 2013-04-12 12:22:20 EDT
(In reply to comment #16)
> Germán, can you please describe the details of the entry you made in
> gnome-session-properties?

@Roland: sorry for being too late :(

I just opened "gnome-session-properties" in a terminal and checked the following components:

* GPG Password Agent (Command: /usr/bin/gnome-keyring-daemon --start --components=gpg)
* Certificate and Key Storage (Command: /usr/bin/gnome-keyring-daemon --start --components=pkcs11)
* Secret Storage Service (Command: /usr/bin/gnome-keyring-daemon --start --components=secrets)
* SSH Key Agent (Command:/usr/bin/gnome-keyring-daemon --start --components=ssh)

HTH,
Germán.
Comment 18 Fedora End Of Life 2013-07-04 02:45:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2013-08-01 14:23:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Couret Charles-Antoine 2015-03-14 14:43:09 EDT
I have this bug too, with Fedora 22 Alpha and empathy 3.12.7.
Do you need more information ?
Comment 21 Karel Volný 2015-03-16 12:12:50 EDT
(In reply to Couret Charles-Antoine from comment #20)
> I have this bug too, with Fedora 22 Alpha and empathy 3.12.7.
> Do you need more information ?

I believe it'd be better to file a new bug rather than reviving this one
(I don't say it'd have better chances to be fixed ...)

Note You need to log in before you can comment on or make changes to this bug.